Page MenuHomePhabricator

No indication that file shown is up for deletion and thus may actually not be free
Closed, ResolvedPublic

Description

When a file that has a license but is up for deletion, there is no clear indication in the media viewer that the license shown may actually not be correct. Users are enticed to "use this file" and share it despite its incorrect license. This is especially bad for files going through a regular deletion process ({{delete}}-Template at the Commons), as that may take quite long, but it's also bad for Files tagged as {{no source}}, {{no license}}, or {{copyvio}}.

An example entirely from the English Wikipedia:

https://en.wikipedia.org/wiki/Dwayne_Johnson#mediaviewer/File:Rock_Sharpshooter.jpg

(which appears as http://www.wwe.com/f/styles/photo_large_lightbox/public/photo/image/2013/04/WM29_Photo_203.jpg at http://www.wwe.com/shows/wrestlemania/29/the-rock-john-cena-photos no evidence of free license and most likely © WWE: a plain old copyvio)

Example for a Commons image:

https://en.wikipedia.org/wiki/T.Raja_Singh_Lodh#mediaviewer/File:9-H-TEM.jpg

(the latter comes from http://sureshixp.blogspot.com/2012/11/police-action-in-old-city.html and would need at least a OTRS release.)

Users should *not* get any re-use options for files in a deletion process. In fact, maybe it'd be best not to use the mediaviewer interface for such cases at all but open the file description page right away, as that usually has such problem tags quite visible at the top.


Version: master
Severity: normal

Details

Reference
bz69389

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:37 AM
bzimport added a project: MediaViewer.
bzimport set Reference to bz69389.
bzimport added a subscriber: Unknown Object (MLST).
Lupo created this task.Aug 11 2014, 9:54 AM
Tgr added a comment.Aug 14 2014, 3:16 PM

There is no machine-readable metadata which could be used to detect deletion etc. templates. Fabrice, can we commit to fixing this if someone arranges for that to happen?

Lupo added a comment.Aug 16 2014, 12:17 PM

If you can define a [[:commons:COM:MRD]] class (mabye "licensetpl_invalid"?) and the precise syntax MediaViewer would expect (<span class="licensetpl_invalid" />? <span class="licensetpl_invalid"></span>? <span class="licensetpl_invalid">true</span>? Something else?), I could take care of updating the various deletion/no source/copyvio etc. templates at the Commons.

I can't update corresponding templates at other wikis.

It should then of course also be included in the documentation at [[:commons:COM:MRD]].

Gilles triaged this task as Low priority.Nov 24 2014, 1:58 PM
Gilles added a subscriber: Gilles.
Tgr added a comment.Nov 26 2014, 12:36 AM

Actually there is (sort of) machine-readable data via Template:Nuke which is used by all deletion templates.

Change 176510 had a related patch set uploaded (by Gergő Tisza):
Parse {{Nuke}} templates

https://gerrit.wikimedia.org/r/176510

Patch-For-Review

Tgr set Security to None.

Change 176510 merged by jenkins-bot:
Parse {{Nuke}} templates

https://gerrit.wikimedia.org/r/176510

Change 178059 had a related patch set uploaded (by Gergő Tisza):
Add functions to display/remove a warning in the dialogs

https://gerrit.wikimedia.org/r/178059

Patch-For-Review

Change 178141 had a related patch set uploaded (by Gergő Tisza):
Display warnings for licence/attribution problems

https://gerrit.wikimedia.org/r/178141

Patch-For-Review

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 20 2015, 1:13 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:09 PM

Mass-removing the Multimedia tag from MediaViewer tasks, as this is now being worked on by the Reading department, not Editing's Multimedia team.

Are you still working on this @Tgr ?

Tgr added a comment.Sep 24 2015, 5:17 AM

In my free time, yes. It's waiting for review (or at least part of it is).

Update: Patch -1ed waiting on some further work.

Jdlrobson changed the task status from Open to Stalled.Oct 9 2015, 12:59 AM

Please unstall when you need a review again! Thanks!

Josve05a added a subscriber: Josve05a.EditedApr 2 2017, 7:54 PM

Who at WMF can I bribe (read nag) to start working on this again? I was about to report/wish this on Phab when I found this by earching first :)

Change 178059 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@master] Add functions to display/remove a warning in the dialogs

https://gerrit.wikimedia.org/r/178059

Change 178141 merged by jenkins-bot:
[mediawiki/extensions/MultimediaViewer@master] Display warning for licence/attribution problems

https://gerrit.wikimedia.org/r/178141

matthiasmullie closed this task as Resolved.Sep 28 2017, 1:50 PM
matthiasmullie claimed this task.